This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 9 replies, has 2 voices.

Last updated by boulosb 3 weeks, 3 days ago.

Assigned support staff: Marcos Vinicios Barreto.

Author Posts
September 9, 2019 at 7:43 pm #4539973

boulosb

Hello,

Today we updated to the latest version of WooCommerce Multilingual. 2 websites crashed. Do you guys have any reports from other members in regards to this?

Thanks and best regards,

Paul

September 10, 2019 at 1:27 am #4540747

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello Paul,

Thank you for contacting WPML Support. I would like to request temporary access (wp-admin and FTP) to your site to take better look at the issue. You will find the needed fields for this below the comment area when you log in to leave your next reply. The information you will enter is private which means only you and I can see and have access to it.

Our Debugging Procedures

I will be checking various settings in the backend to see if the issue can be resolved. Although I won't be making changes that affect the live site, it is still good practice to backup the site before providing us access. In the event that we do need to debug the site further, I will duplicate the site and work in a separate, local development environment to avoid affecting the live site.

Privacy and Security Policy

We have strict policies regarding privacy and access to your information. Please see:
https://wpml.org/purchase/support-policy/privacy-and-security-when-providing-debug-information-for-support/

**IMPORTANT**

- Please make a backup of site files and database before providing us access.
- If you do not see the wp-admin/FTP fields this means your post & website login details will be made PUBLIC. DO NOT post your website details unless you see the required wp-admin/FTP fields. If you do not, please ask me to enable the private box. The private box looks like this: hidden link

Please, let me know if you need any additional details. Have a nice day.

September 10, 2019 at 11:37 am #4544799

boulosb

Just to add to the previous message. The error message I included showed a message about Yith Tab Manager. That was for the 3rd website. Looking back at the website I reported here, that one doesn't have Yith tab manager.

Here is the error message:
An error of type E_ERROR was caused in line 24 of the file /home/210429.cloudwaysapps.com/facdaqjvuk/public_html/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-emails.php. Error message: Uncaught TypeError: Argument 1 passed to WCML_Emails::__construct() must be an instance of woocommerce_wpml, null given, called in /home/210429.cloudwaysapps.com/facdaqjvuk/public_html/wp-content/plugins/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php on line 42 and defined in /home/210429.cloudwaysapps.com/facdaqjvuk/public_html/wp-content/plugins/woocommerce-multilingual/inc/class-wcml-emails.php:24
Stack trace:
#0 /home/210429.cloudwaysapps.com/facdaqjvuk/public_html/wp-content/plugins/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php(42): WCML_Emails->__construct(NULL, Object(SitePress), Object(WooCommerce), Object(wpdb))
#1 /home/210429.cloudwaysapps.com/facdaqjvuk/public_html/wp-content/plugins/yith-woocommerce-request-a-quote-premium/includes/emails/class.yith-ywraq-multilingual-email.php(74): YITH_YWRAQ_Multilingual_Email->__construct()
#2 /home/210429.cloudwaysapps.com/facdaqjvuk/public_html/wp-content/plu

I DEACTIVATED THE YITH REQUEST A CODE PREMIUM PLUGIN AND NO MORE CONFLICTS.

I'm not sure if the bug is from your side or Yithemes. All I can say is this bug appeared right after the update you guys pushed yesterday.

I will be advising Yithtmes as well.

Thanks and best regards,

Paul

September 10, 2019 at 5:29 pm #4547743

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello,

Thank you for the updates. I got some more details regarding this issue from our support colleagues and it seems to be caused in the automatic update process. Can you please, try a manual update via FTP? Here is how:

1 - Download the mentioned plugin zip folders from your wpml.org account.

2 - Unzip them and upload the unzipped folder to your host wp-content/plugins folder replacing the current folders.

Note: I recommend you to delete the current plugin folders before updating the new ones. Also it is better if you put your website in a maintenance mode to avoid any issue for your users.

IMPORTANT: Please, note, a backup is required for security reasons and to avoid any data loss, you can use the https://wordpress.org/plugins/backupwordpress/ plugin for these backup needs.

Please, let me know if it works for you, have a nice day.

September 13, 2019 at 1:23 pm #4568819

boulosb

Hello Marcos,

Have you tested this fix on my setup before sending it to me?

Best regards,

Paul

September 13, 2019 at 6:15 pm #4570367

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello Paul,

Thank you for the updates. We had some other reports of some issues after updating WPML and it happes due the incomplete update when using the automatic update feature, the provided fix in my previous reply worked in all the similiar cases, this is why I recommended the same for you. Please, give it a try and let me know if it works for you, then we can proceed with a fully detailed investigation. Thank you for your collaboration and patience, have a nice day.

September 17, 2019 at 1:05 pm #4588665

boulosb

What's interesting though is that you asked me for the credentials, but you did not run the test. I'm not even sure if it's true that some other people reported it.

After you asked me to download the plugin from your site, I noticed that my WPML CMS plugin is 8 versions behind. String tr is 6 versions behind...

All that with no update notifications... I have other plugins updating properly on this site...

But what really ticks me off, is me wasting my time creating accounts for you and you think you have a solution which you have not tested.

I checked all 3 sites that crashed. And all 3 sites have old versions of your plugins.

Is there a reason why your plugins are not updating on these sites?

September 17, 2019 at 3:19 pm #4589623

boulosb

So I decided to go and try updating your plugins from the COMMERCIAL tab in plugins... download failed when I selected all plugins... what worked though is updating each plugin individually... 2019.

Hek, one of the sites can't even update your plugins. But everything else and updating every other plugin is just fiiiiiiiiiine...

Out of 19 websites I am running your plugin on (and I'm only auditing the versions of WPML Multilingual CMS) only 6 websites are on version 4.2.8 and 11 are on 4.2.0. 2 other plugins are still on 3.9.3.

Please explain to me why this is happening... Please. Please explain to me why I promise my clients their sites are always up to date, and they're not. Not your plugins.

So, I updated the plugin as you requested, through hidden link. still doesn't resolve the issue...

I will update all your plugins manually across all sites....

Thanks and best regards,

Paul

September 18, 2019 at 2:42 pm #4597663

Marcos Vinicios Barreto
Supporter

Languages: English (English ) Portuguese (Brazil) (Português )

Timezone: America/Bahia (GMT-03:00)

Hello Paul,

Thank you for the updates. Regarding your questions:

1 - "you asked me for the credentials, but you did not run the test. I'm not even sure if it's true that some other people reported it."

The credentials would help me to identify the cause of the issue taking a look at the log files to confirm the problematic plugin. After taking a detailed look in our list of existing issues and talking with other members of our support team, we determined your issue is the same the happened to others and the solution for it is to manually update the plugins since the cause of it is the automatic update process.

You can see a sample of it here: https://wordpress.org/support/topic/4-6-7-crashes-site/

The automatic update is updating WCML first and then WPML core, as the code of WCML (WooCommerce Multilingual) depends on the code of the updated WPML core you see this kind of issue. Our team are aware about it and working on a fix for this automatic installer. For now you should proceed this way:

1 - Download the updated plugins from your wpml.org account.
2 - Unzip them and upload it to your host wp-content/plugins folder replacing the current folders.

Note: Before uploading the new folders, please, delete the current ones to avoid any potential issue.

See: hidden link

2 - "All that with no update notifications... I have other plugins updating properly on this site..."

From this version (WPML 4.2.8) the updates notifications will be shown randomly for certaing groups of user and then for all the users, it is a decision from the development team to deal with bugs and provide a fix quick according the reports received. As said in your wpml.org account you are able to see all the most recent updates.

3 - "So I decided to go and try updating your plugins from the COMMERCIAL tab in plugins... download failed when I selected all plugins... what worked though is updating each plugin individually."

Please, make sure before trying the commercial tab your website is using the most recent version of the WPML Core plugin (WPML Multilingual CMS) on its version 4.2.8 and then you can try the 'Commercial' tab to download the other plugins.

Please, let me know if it clarifies and after manually updating the WPML core plugin (WPML Multilingual CMS) to its latest version you are able to use the commercial tab to updates all the other plugins in all your websites. Have a nice day.

September 25, 2019 at 9:37 pm #4642115

boulosb

Hello Marcos,

The issue is not resolved with the updates. All plugins and add-ons are up to date but still crashing the site. Credentials are still good if you need to run some tests.

Best regards,

Paul